﻿/**Begin D:\dev\tools\PDM_UPGRADE\pdm1\HRDT_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRDT_CONFIGITEMS', 'T_HRDT_CONFIGITEMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGITEMS_N') CREATE INDEX IDX_HRDT_CONFIGITEMS_N ON T_HRDT_CONFIGITEMS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGITEMS_EID') CREATE INDEX IDX_HRDT_CONFIGITEMS_EID ON T_HRDT_CONFIGITEMS ( FBIZENTITYID );


 EXEC P_ALTERPK 'PK_HRDT_MSCONFITRE', 'T_HRDT_MSCONFITRE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_MSCONFITRE_FID') CREATE INDEX IDX_HRDT_MSCONFITRE_FID ON T_HRDT_MSCONFITRE ( FID );


 EXEC P_ALTERPK 'PK_HRDT_CONFSYNLOG', 'T_HRDT_CONFSYNLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFSYNLOG_APP') CREATE INDEX IDX_HRDT_CONFSYNLOG_APP ON T_HRDT_CONFSYNLOG ( FAPPID );


 EXEC P_ALTERPK 'PK_HRDT_CONFIGITEMS_L', 'T_HRDT_CONFIGITEMS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGITEMS_L') CREATE INDEX IDX_HRDT_CONFIGITEMS_L ON T_HRDT_CONFIGITEMS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_CONFIGTREE', 'T_HRDT_CONFIGTREE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGTREE_SC') CREATE INDEX IDX_HRDT_CONFIGTREE_SC ON T_HRDT_CONFIGTREE ( FORDERFIELD );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGTREE_N') CREATE INDEX IDX_HRDT_CONFIGTREE_N ON T_HRDT_CONFIGTREE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGTREE_PID') CREATE INDEX IDX_HRDT_CONFIGTREE_PID ON T_HRDT_CONFIGTREE ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGTREE_SLN') CREATE INDEX IDX_HRDT_CONFIGTREE_SLN ON T_HRDT_CONFIGTREE ( FLONGNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_CONFIGTREE_L', 'T_HRDT_CONFIGTREE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFIGTREE_L') CREATE INDEX IDX_HRDT_CONFIGTREE_L ON T_HRDT_CONFIGTREE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_CONFSYNLOG_L', 'T_HRDT_CONFSYNLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_CONFSYNLOG_L') CREATE INDEX IDX_HRDT_CONFSYNLOG_L ON T_HRDT_CONFSYNLOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRDT_RELENTITYCONF', 'T_HRDT_RELENTITYCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_RELENTITYCONF_SRE') CREATE INDEX IDX_HRDT_RELENTITYCONF_SRE ON T_HRDT_RELENTITYCONF ( FSOURCEENTITY ,FRELENTITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_RELENTITYCONF_PID') CREATE INDEX IDX_HRDT_RELENTITYCONF_PID ON T_HRDT_RELENTITYCONF ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_RELENTITYCONF_CIN') CREATE INDEX IDX_HRDT_RELENTITYCONF_CIN ON T_HRDT_RELENTITYCONF ( FCONFIGITEMNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_RELENTITYCONF_CID') CREATE INDEX IDX_HRDT_RELENTITYCONF_CID ON T_HRDT_RELENTITYCONF ( FCONFIGITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_RELENTITYCONF_LN') CREATE INDEX IDX_HRDT_RELENTITYCONF_LN ON T_HRDT_RELENTITYCONF ( FLONGNUMBER );


 EXEC P_ALTERPK 'PK_HRDT_RELENTITYCONF_L', 'T_HRDT_RELENTITYCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HRDT_RELENTITYCONF_L') CREATE INDEX IDX_HRDT_RELENTITYCONF_L ON T_HRDT_RELENTITYCONF_L ( FID ,FLOCALEID );



/**End D:\dev\tools\PDM_UPGRADE\pdm1\HRDT_constraint.sql **/
